summaryrefslogtreecommitdiff
path: root/t/lib-patch-mode.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/lib-patch-mode.sh')
-rw-r--r--t/lib-patch-mode.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/lib-patch-mode.sh b/t/lib-patch-mode.sh
index 06c3c91762..ce36f34d03 100644
--- a/t/lib-patch-mode.sh
+++ b/t/lib-patch-mode.sh
@@ -2,6 +2,11 @@
. ./test-lib.sh
+if ! test_have_prereq PERL; then
+ say 'skipping --patch tests, perl not available'
+ test_done
+fi
+
set_state () {
echo "$3" > "$1" &&
git add "$1" &&